# カードス! (KAADOSU!)

## About

カードス! (KAADOSU!) is a collectible card game based on the concept of card scarcity, card merging, and randomized rulesets.

Each of the 10,000 base cards has one of 5 colors (2 of which are rarer than the others), 3 shapes (1 of which is rarer than the others), and two values from 1 to 10.

### Merging

These cards can only be owned by one player at a time, but two base cards can be merged in order to create a combo card with both shapes, one of the colors, and an algorithm-decided merging of the values.

Once two cards are merged, the cards are returned to the pool and made available for other players to get in a pack.

### Battling

Before battling, each player shuffles their deck and has the opponent draw the top card. The cards drawn decide how the rules for that game will be affected. The card drawn by each opponent is set aside but kept visible as "Guide Cards".

At the start of the battle, players take the cards remaining in their decks, combine and shuffle them together, and draw a hand of 3 cards. The player whose Guide Card id is higher goes first.

The + value of a card is its health and the - value is the damage it does. On your turn you can put down as many of the cards in your hand as you want, move each card that's already been placed, attack with each placed card in whatever order you'd like, and retire any active cards you no longer want on the battlefield.

Cards can be placed in one of 5 positions on your side of the battlefield, and no more than 4 cards can be on the field at a time. Cards that have been placed cannot move, attack, or be retired on the same turn they were put down.

Moving a card requires that the space be adjacent and empty, adjacent meaning one of the sides of the spaces touches one of the sides of another space.

Attacking an enemy card requires line of sight from the center of the attacking card to the center of the target card. If a card is positioned behind another card and the line from the center of the attacker to the center of the target intersects any part of another card, then the target card cannot be attacked. Your own cards do not get in the way of an attack.

If a card loses all of its health, it is sent to the Discard pile.

If your opponent has no active cards, you can attack their health directly. Each player starts with 10 health + the health of their Guide card.

Retiring a card removes it from the battlefield and places it into the Discard pile.

At the end of your turn, draw a new card from the deck, and then the other player takes their turn. You can have a maximum of 5 cards in your hand. If you have more than 5 cards after drawing, you must choose a card to put in the discard pile.

If all cards have been drawn from the deck, the Discard pile becomes the new deck—do not shuffle the Discard pile before using it as the new deck!

#### Winning

The game ends when one player reduces their opponent's health to 0.

At the end of the game, the victorious player may choose to keep the card they drew from their opponent or to get their original card back. The other player keeps the card the winner did not take.

#### Rule Alterations

The color of the card your opponent took is the color that your cards of that card's shape is weak against. If it is a combo card, then both shapes are weak against the color.

The + value of a card is how much additional damage cards of your shape take from that color while the - value is how much less damage cards of your shape do to that color.

Combo cards with one shape that is weak are affected by half of each value (rounded down), but if _both_ shapes are on the rule-altering card, then the values are _doubled_!